Get fx vol time series
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"end_date": "2000-01-23T04:56:07.000+00:00",
"fx_pairs": [
"fx_pairs",
"fx_pairs"
],
"maturity": 6,
"strike": 0.8008281904610115,
"strike_type": "absolute",
"start_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries"
payload = {
"end_date": "2000-01-23T04:56:07.000+00:00",
"fx_pairs": ["fx_pairs", "fx_pairs"],
"maturity": 6,
"strike": 0.8008281904610115,
"strike_type": "absolute",
"start_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
end_date: '2000-01-23T04:56:07.000+00:00',
fx_pairs: ['fx_pairs', 'fx_pairs'],
maturity: 6,
strike: 0.8008281904610115,
strike_type: 'absolute',
start_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'end_date' => '2000-01-23T04:56:07.000+00:00',
'fx_pairs' => [
'fx_pairs',
'fx_pairs'
],
'maturity' => 6,
'strike' => 0.8008281904610115,
'strike_type' => 'absolute',
'start_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries"
payload := strings.NewReader("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"maturity\": 6,\n \"strike\": 0.8008281904610115,\n \"strike_type\": \"absolute\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"maturity\": 6,\n \"strike\": 0.8008281904610115,\n \"strike_type\": \"absolute\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"maturity\": 6,\n \"strike\": 0.8008281904610115,\n \"strike_type\": \"absolute\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"volatility_data": ""
}Get fx vol time series
POST
/
api
/
MarketData
/
GetFxVolTimeSeries
Get fx vol time series
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"end_date": "2000-01-23T04:56:07.000+00:00",
"fx_pairs": [
"fx_pairs",
"fx_pairs"
],
"maturity": 6,
"strike": 0.8008281904610115,
"strike_type": "absolute",
"start_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries"
payload = {
"end_date": "2000-01-23T04:56:07.000+00:00",
"fx_pairs": ["fx_pairs", "fx_pairs"],
"maturity": 6,
"strike": 0.8008281904610115,
"strike_type": "absolute",
"start_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
end_date: '2000-01-23T04:56:07.000+00:00',
fx_pairs: ['fx_pairs', 'fx_pairs'],
maturity: 6,
strike: 0.8008281904610115,
strike_type: 'absolute',
start_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'end_date' => '2000-01-23T04:56:07.000+00:00',
'fx_pairs' => [
'fx_pairs',
'fx_pairs'
],
'maturity' => 6,
'strike' => 0.8008281904610115,
'strike_type' => 'absolute',
'start_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries"
payload := strings.NewReader("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"maturity\": 6,\n \"strike\": 0.8008281904610115,\n \"strike_type\": \"absolute\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"maturity\": 6,\n \"strike\": 0.8008281904610115,\n \"strike_type\": \"absolute\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetFxVolTimeSeries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"fx_pairs\": [\n \"fx_pairs\",\n \"fx_pairs\"\n ],\n \"maturity\": 6,\n \"strike\": 0.8008281904610115,\n \"strike_type\": \"absolute\",\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"volatility_data": ""
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.MarketData.ApiGetFxVolTimeSeriesRequest, Derivitec.Web.Core Available options:
absolute, logarithmic, normalized, logarithmic_spot Was this page helpful?